Bug 13231 - winbindd doesn't use schannel when connecting to LSA
winbindd doesn't use schannel when connecting to LSA
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks: 13232 13233 13234 13235 13236 13237 13255 13256 13257 13258 13259 13260 13261 13262 13263
  Show dependency treegraph
 
Reported: 2018-01-18 16:57 UTC by Ralph Böhme
Modified: 2018-02-12 09:30 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (130.76 KB, patch)
2018-02-10 14:59 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-01-18 16:57:20 UTC
winbindd checks conn->netlogon_flags for NETLOGON_NEG_AUTHENTICATED_RPC, but that is never set.

The check is not needed anyway, as we're using cli_rpc_pipe_open_schannel_with_creds which ensures an schannel connection is established.
Comment 1 Ralph Böhme 2018-02-10 14:59:46 UTC
Created attachment 13949 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-11 10:09:40 UTC
Comment on attachment 13949 [details]
Patch for 4.8 cherry-picked from master

Pushed to autobuild-v4-8-test
Comment 3 Stefan Metzmacher 2018-02-12 09:30:26 UTC
(In reply to Stefan Metzmacher from comment #2)

Pushed to v4-8-test